Bug 140167 - devel/e4graph: syntax error in configure script
devel/e4graph: syntax error in configure script
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Dmitry Marakasov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-01 15:00 UTC by Jilles Tjoelker
Modified: 2009-11-26 23:10 UTC (History)
0 users

See Also:


Attachments
devel-e4graph-syntaxfix.patch (539 bytes, patch)
2009-11-01 15:00 UTC, Jilles Tjoelker
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jilles Tjoelker freebsd_committer 2009-11-01 15:00:13 UTC
Due to a change in /bin/sh a mismatched single quote inside backticks
(`...`) now causes configure to fail.

Fix: Apply this patch to the port Makefile.

Alternatively, an upgrade may help. The broken code (tcl.m4) seems to originate
with tcl 8.3 or older.
How-To-Repeat: Try to build the port with a /bin/sh with r197691 change in it.
Comment 1 Edwin Groothuis freebsd_committer 2009-11-01 15:00:22 UTC
Maintainer of devel/e4graph,

Please note that PR ports/140167 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/140167

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-11-01 15:00:23 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Martin Wilke freebsd_committer 2009-11-02 10:22:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 4 Dmitry Marakasov freebsd_committer 2009-11-05 02:40:53 UTC
Responsible Changed
From-To: miwi->amdmi3

Take with miwi's approval
Comment 5 dfilter freebsd_committer 2009-11-26 23:03:09 UTC
amdmi3      2009-11-26 23:03:01 UTC

  FreeBSD ports repository

  Modified files:
    devel/e4graph/files  patch-all_configure 
  Log:
  - Fix build on 9.0
  
  PR:             140167
  Submitted by:   Jilles Tjoelker <jilles@stack.nl>
  Approved by:    maintainer timeout
  
  Revision  Changes    Path
  1.2       +9 -0      ports/devel/e4graph/files/patch-all_configure
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Dmitry Marakasov freebsd_committer 2009-11-26 23:03:11 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!